EVM, SVM, and TVM onchain data endpoints, plus API documentation and monitoring.
    Read-only preview
    You're browsing the public OpenAPI spec. Sign in to send live requests with your team's API key.
    Monitoring

    Supported Networks

    FREE
    Returns supported blockchain networks with identifiers, metadata, and indexed block information per database category.
    GET
    https://api.pinax.network/v1/networks

    Optional parameters

    NameTypeDescription
    network
    query
    NetworkNetwork ID to filter by
    Single value or array of values* (separate multiple values with ,)
    *Plan restricted.
    e.g. arbitrum-one

    Response

    200 OK
    {
      "networks": [
        {
          "id": "mainnet",
          "fullName": "Ethereum Mainnet",
          "shortName": "Ethereum",
          "networkType": "mainnet",
          "nativeToken": "ETH",
          "caip2Id": "eip155:1",
          "icon": {
            "web3Icons": {
              "name": "ethereum"
            }
          },
          "aliases": [
            "ethereum",
            "eth",
            "eth-mainnet",
            "evm-1"
          ],
          "indexed_to": [
            {
              "category": "transfers",
              "version": "0.2.2",
              "block_num": 24278225,
              "datetime": "2026-01-20 19:57:11",
              "timestamp": 1768939031
            }
          ]
        }
      ]
    }